Kerbal Space Program - Bug #419

attempting to copy parts in VAB/SPH throws NullReferenceException
03/17/2013 05:05 AM - JDP

Status: Closed Start date: 03/17/2013
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.19 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

specs:

Windows 7

Direct3D:
Version: Direct3D 9.0c [aticfx32.d11l 8.17.10.1070]
Renderer: ATI Radeon HD 5700 Series

Vendor: ATI
VRAM: 1014 MB (via DXGI)
Caps: Shader=30 DepthRT=1 NativeDepth=1 NativeShadow=1 DF16=1 DF24=1 INTZ=1 RAWZ=0 NULL=1

RESZ=1 SlowINTZ=1

when copying part(s) in the VAB/SPH (holding the default modifier key; 'RightAlt'), the part(s) aren't copied, in stead the following
lovely NullReferenceException is thrown:

[Exception]: NullReferenceException: Object reference not set to an instance of an object
EditorPartsListController.FindIcon (System.String partname, Boolean lookInAllCategories)
EditorLogic.UpdatePartMode ()

EditorLogic.LateUpdate ()

the old method (holding 'LeftAlt') does nothing. However this error does not persist if you manually change the modifier key to:

MODIFIER_KEY

{
primary = LeftAlt
secondary = None
switchState = Any

}
and use 'LeftAlt' to copy.

no other changes where made to the config aside from enabling VERBOSE_DEBUG_LOG. testing was done on only stock vessels
and parts.

History

#1 - 03/17/2013 05:37 AM - Anonymous
- Category set to 36
- Severity changed from High to Normal

#2 - 10/30/2013 06:58 AM - sr
- Platform Windows added
I've tried replicating this with 0.22, however | don't get an NRE, even after changing the modifier key to right alt.
Could you please check if this is still an issue for you in 0.22?

#3 - 09/05/2014 03:21 PM - Squelch
- Status changed from New to Closed

- % Done changed from 0 to 100

| can't replicate in 0.24.2 so as this hasn't been updated, it can be assumed as resolved and closed.
